import type { JSX } from '../../stencil-public-runtime';
import type { AccordionAPI, AccordionCallbacksPropType, AccordionStates, DisabledPropType, FocusableElement, HeadingLevel, LabelPropType, OpenPropType } from '../../schema';
export declare class KolAccordion implements AccordionAPI, FocusableElement {
    private readonly host?;
    private readonly nonce;
    private buttonWcRef?;
    private readonly catchRef;
    focus(): Promise<void | undefined>;
    kolFocus(): Promise<void | undefined>;
    private handleOnClick;
    render(): JSX.Element;
    _disabled?: boolean;
    _label: string;
    _level?: HeadingLevel;
    _on?: AccordionCallbacksPropType<boolean>;
    _open?: boolean;
    state: AccordionStates;
    validateDisabled(value?: DisabledPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(on?: AccordionCallbacksPropType<boolean>): void;
    validateOpen(value?: OpenPropType): void;
    componentWillLoad(): void;
}
